Bug 622 - locale pa_IN fails to compile since 2004/11/27 update
Summary: locale pa_IN fails to compile since 2004/11/27 update
Status: RESOLVED FIXED
Alias: None
Product: glibc
Classification: Unclassified
Component: localedata (show other bugs)
Version: unspecified
: P2 normal
Target Milestone: ---
Assignee: Petter Reinholdtsen
URL:
Keywords:
Depends on:
Blocks: libc236
  Show dependency treegraph
 
Reported: 2004-12-27 17:41 UTC by Denis Barbier
Modified: 2019-04-10 09:47 UTC (History)
1 user (show)

See Also:
Host:
Target:
Build:
Last reconfirmed:
fweimer: security-


Attachments
Fix broken Unicode characters (278 bytes, patch)
2004-12-27 17:43 UTC, Denis Barbier
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Barbier 2004-12-27 17:41:38 UTC
Patch follows
Comment 1 Denis Barbier 2004-12-27 17:43:06 UTC
Created attachment 325 [details]
Fix broken Unicode characters
Comment 2 Amanpreet Singh Alam 2005-05-23 07:22:19 UTC
update by patch is incorrect as
it updated the <U035> character with <U0035> instead of <U0A35>

check at
http://sources.redhat.com/cgi-bin/cvsweb.cgi/libc/localedata/locales/pa_IN.diff?cvsroot=glibc&r1=1.6&r2=1.7


Comment 3 Jakub Jelinek 2005-05-26 13:01:28 UTC
What about the last character?  Shall it be <U0A2E> (ma) or <U002E> (dot)?
Comment 4 cvs-commit@gcc.gnu.org 2005-06-08 20:23:00 UTC
Subject: Bug 622

CVSROOT:	/cvs/glibc
Module name:	libc
Changes by:	roland@sources.redhat.com	2005-06-08 20:22:50

Modified files:
	localedata/locales: pa_IN 

Log message:
	2005-05-28  Jakub Jelinek  <jakub@redhat.com>
	
	[BZ #622]
	* locales/pa_IN (am_pm): Fix typos.
	Patch by Denis Barbier <barbier@linuxfr.org>.

Patches:
http://sources.redhat.com/cgi-bin/cvsweb.cgi/libc/localedata/locales/pa_IN.diff?cvsroot=glibc&r1=1.7&r2=1.8

Comment 5 cvs-commit@gcc.gnu.org 2005-07-18 02:04:52 UTC
Subject: Bug 622

CVSROOT:	/cvs/glibc
Module name:	libc
Branch: 	glibc-2_3-branch
Changes by:	roland@sources.redhat.com	2005-07-18 02:04:46

Modified files:
	localedata/locales: pa_IN 

Log message:
	2005-05-28  Jakub Jelinek  <jakub@redhat.com>
	
	[BZ #622]
	* locales/pa_IN (am_pm): Fix typos.
	Patch by Denis Barbier <barbier@linuxfr.org>.
	2005-03-18  Andreas Schwab  <schwab@suse.de>
	
	[BZ #622]
	* locales/pa_IN (am_pm): Fix character names.

Patches:
http://sources.redhat.com/cgi-bin/cvsweb.cgi/libc/localedata/locales/pa_IN.diff?cvsroot=glibc&only_with_tag=glibc-2_3-branch&r1=1.6&r2=1.6.2.1

Comment 6 Roland McGrath 2005-07-19 03:30:25 UTC
This fix is now in the 2.3 branch as well as the trunk, and the problem should
be resolved as of the 2.3.6 release.